Bug 1568369 - Stop carrying over previous config on update/upgrade prepare commands
Summary: Stop carrying over previous config on update/upgrade prepare commands
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-tripleoclient
Version: 13.0 (Queens)
Hardware: All
OS: All
high
high
Target Milestone: beta
: 13.0 (Queens)
Assignee: Jiri Stransky
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-17 11:18 UTC by Jiri Stransky
Modified: 2018-06-27 13:51 UTC (History)
7 users (show)

Fixed In Version: python-tripleoclient-9.2.0-4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:51:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 559753 None stable/queens: MERGED python-tripleoclient: Stop persisting previous configuration on update/upgrade prepare (I9db2c9256ed20d4d0b74bb467ee6ae0... 2018-04-19 14:29:26 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:51:45 UTC

Description Jiri Stransky 2018-04-17 11:18:23 UTC
Carrying over old configuration has proven troublesome, is directly related bug 1541024 on upgrades, but similar might happen on updates. It's not safe and we should disable it. In code it's isolated, so we just need to flip a boolean flag to switch it off.

Comment 4 errata-xmlrpc 2018-06-27 13:51:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.